<bugID>952180<Summary>BrowserUITelemetry is mostly returning empty toolbar data.</Summary><Description>Out of curiosity, I took a look at some of my profile's saved pings to see how the UITelemetry stuff is being recorded.

For almost all of the saved session pings, I'm seeing empty objects attached to UITelemetry, which is not good.

I did a job on an EC2 instance to get pings form yesterday's Aurora's to see if this is typical. It appears to be.

So:

The bad: we've gathered probably no useful UITelemetry data at this point.
The good: we caught this early, and we can fix it.

I think this has to do with the fact that most saved session pings attempt to gather their data during the shutdown phase after the windows have been closed. The BrowserUITelemetry getSimpleMeasures code bails out if it can't find a browser window to read toolbar data from. The solution to this is to try to read this sometime after browser-delayed-startup-finished and cache it.

I'll be working on that this afternoon.</Description></bugID>